> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fermion.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Custom Affiliate Link 

> Create a custom affiliate link for a specific digital product with commission percentage.

Authentication with the "FERMION-API-KEY" header is required to use this endpoint.

Rate limit: Maximum 60 requests in a window of 1m.



## OpenAPI

````yaml https://backend.codedamn.com/webhook/fermion-backend-openapi.yaml post /public/create-custom-affiliate-link
openapi: 3.0.0
info:
  version: 1.0.0
  title: Fermion Backend API
  description: Documentation for interacting with the Fermion API
  contact:
    name: Fermion Support
    email: support@codedamn.com
servers:
  - url: https://backend.codedamn.com/api
    description: Fermion primary backend server
security: []
externalDocs:
  description: Fermion Docs
  url: https://docs.fermion.app
paths:
  /public/create-custom-affiliate-link:
    post:
      tags:
        - Affiliate marketing
      summary: 'Create Custom Affiliate Link '
      description: >-
        Create a custom affiliate link for a specific digital product with
        commission percentage.


        Authentication with the "FERMION-API-KEY" header is required to use this
        endpoint.


        Rate limit: Maximum 60 requests in a window of 1m.
      requestBody:
        description: API Request Body
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  type: array
                  items:
                    type: object
                    properties:
                      data:
                        type: object
                        properties:
                          userData:
                            type: object
                            properties:
                              userId:
                                type: string
                                description: The user ID of the affiliate
                              userEmail:
                                type: string
                                description: The email of the affiliate
                            description: User data for the affiliate
                          fermionDigitalProductId:
                            type: string
                            description: >-
                              The ID of the digital product for which to create
                              the affiliate link
                          commissionPercentage:
                            type: number
                            minimum: 1
                            maximum: 99
                            description: >-
                              The commission percentage for the affiliate link
                              (1-99%)
                        required:
                          - userData
                          - fermionDigitalProductId
                          - commissionPercentage
                    required:
                      - data
              required:
                - data
      responses:
        '200':
          description: API Response Body
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    output:
                      anyOf:
                        - type: object
                          properties:
                            status:
                              type: string
                              enum:
                                - ok
                            data:
                              type: object
                              properties:
                                affiliateLinkSlug:
                                  type: string
                                  description: >-
                                    Slug of the affiliate link created. Visit
                                    your website like this to access affiliate
                                    link: yourwebsite.com/a/:slug
                              required:
                                - affiliateLinkSlug
                          required:
                            - status
                            - data
                        - type: object
                          properties:
                            status:
                              type: string
                              enum:
                                - error
                            errorMessage:
                              type: string
                          required:
                            - status
                            - errorMessage
                  required:
                    - output
      security:
        - FERMION-API-KEY: []
components:
  securitySchemes:
    FERMION-API-KEY:
      name: FERMION-API-KEY
      type: apiKey
      in: header

````